from django.db import models

# Create your models here.

from django.db import models

# Create your models here.

class Student(models.Model):
    student_name = models.CharField(max_length=100, null=True)
    matriculation_number = models.IntegerField(null=True)

    def __str__(self):
        return f" Student Name : {self.student_name} - Matriculation Number: {self.matriculation_number}"

class Professor(models.Model):
    professor_name = models.CharField(max_length=100, null=True)

    def __str__(self):
        return f" Professor Name :{self.professor_name}"

class Exam(models.Model):
    topic = models.CharField(max_length=100, null=True)
    docent = models.ForeignKey(Professor, on_delete=models.CASCADE, null=True)
    participants = models.ManyToManyField(Student)

    def __str__(self):
        return f" Topic of Exam : {self.topic} - Professor Name: {self.docent}"

class Grade(models.Model):
    exam_grade = models.IntegerField(null=True)
    student = models.ForeignKey(Student, on_delete=models.CASCADE, null=True)
    exam = models.ForeignKey(Exam, on_delete=models.CASCADE, null=True)

    def __str__(self):
        return f" Student Name : {self.student} - Exam :{self.exam} - Student Grade :{self.exam_grade}"



