from django.shortcuts import render

from .models import *

# Create your views here.
def index(request):
    context = {}
    return render(request, 'university/index.html', context)

def professors(request):
    context = {
       "Professors_View": Professor.objects.all()
    }
    return render(request, 'university/professors.html', context)

def students(request):
    context = {
       "Students_View": Student.objects.all()
    }
    return render(request, 'university/students.html', context)
    
def exams(request):
    context = {
       "Exams_View": Exam.objects.all()
    }
    return render(request, 'university/exams.html', context)
